//
//	RemoteCallableStatement.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.math.BigDecimal;
import java.rmi.*;
import java.sql.SQLException;

interface RemoteCallableStatement extends Remote, RemotePreparedStatement {
	void registerOutParameter(int parameterIndex, int sqlType) throws RemoteException, SQLException;
	void registerOutParameter(int parameterIndex, int sqlType, int scale) throws RemoteException, SQLException;
	boolean wasNull() throws RemoteException, SQLException;
	String getString(int parameterIndex) throws RemoteException, SQLException;
	boolean getBoolean(int parameterIndex) throws RemoteException, SQLException;
	byte getByte(int parameterIndex) throws RemoteException, SQLException;
	short getShort(int parameterIndex) throws RemoteException, SQLException;
	int getInt(int parameterIndex) throws RemoteException, SQLException;
	long getLong(int parameterIndex) throws RemoteException, SQLException;
	float getFloat(int parameterIndex) throws RemoteException, SQLException;
	double getDouble(int parameterIndex) throws RemoteException, SQLException;
	BigDecimal getBigDecimal(int parameterIndex, int scale) throws RemoteException, SQLException;
	byte[] getBytes(int parameterIndex) throws RemoteException, SQLException;
	java.sql.Date getDate(int parameterIndex) throws RemoteException, SQLException;
	java.sql.Time getTime(int parameterIndex) throws RemoteException, SQLException;
	java.sql.Timestamp getTimestamp(int parameterIndex) throws RemoteException, SQLException;

	//----------------------------------------------------------------------
	// Advanced features:

	Object getObject(int parameterIndex) throws RemoteException, SQLException;
}
