//
//	RemoteConnection.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.rmi.*;
import java.sql.*;

interface RemoteConnection extends Remote {
	RemoteStatement createStatement() throws RemoteException, SQLException;
	RemotePreparedStatement prepareStatement(String sql) throws RemoteException, SQLException;
	RemoteCallableStatement prepareCall(String sql) throws RemoteException, SQLException;
	String nativeSQL(String sql) throws RemoteException, SQLException;
	void setAutoCommit(boolean autoCommit) throws RemoteException, SQLException;
	boolean getAutoCommit() throws RemoteException, SQLException;
	void commit() throws RemoteException, SQLException;
	void rollback() throws RemoteException, SQLException;
	void close() throws RemoteException, SQLException;
	boolean isClosed() throws RemoteException, SQLException;

	//======================================================================
	// Advanced features:

	RemoteDatabaseMetaData getMetaData() throws RemoteException, SQLException;
	void setReadOnly(boolean readOnly) throws RemoteException, SQLException;
	boolean isReadOnly() throws RemoteException, SQLException;
	void setCatalog(String catalog) throws RemoteException, SQLException;
	String getCatalog() throws RemoteException, SQLException;
	void setTransactionIsolation(int level) throws RemoteException, SQLException;
	int getTransactionIsolation() throws RemoteException, SQLException;
	SQLWarning getWarnings() throws RemoteException, SQLException;
	void clearWarnings() throws RemoteException, SQLException;
}
