//
//	RemotePreparedStatement.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.math.BigDecimal;
import java.rmi.*;
import java.sql.SQLException;

interface RemotePreparedStatement extends Remote, RemoteStatement {
	RemoteResultSet executeQuery() throws RemoteException, SQLException;
	int executeUpdate() throws RemoteException, SQLException;
	void setNull(int parameterIndex, int sqlType) throws RemoteException, SQLException;
	void setBoolean(int parameterIndex, boolean x) throws RemoteException, SQLException;
	void setByte(int parameterIndex, byte x) throws RemoteException, SQLException;
	void setShort(int parameterIndex, short x) throws RemoteException, SQLException;
	void setInt(int parameterIndex, int x) throws RemoteException, SQLException;
	void setLong(int parameterIndex, long x) throws RemoteException, SQLException;
	void setFloat(int parameterIndex, float x) throws RemoteException, SQLException;
	void setDouble(int parameterIndex, double x) throws RemoteException, SQLException;
	void setBigDecimal(int parameterIndex, BigDecimal x) throws RemoteException, SQLException;
	void setString(int parameterIndex, String x) throws RemoteException, SQLException;
	void setBytes(int parameterIndex, byte x[]) throws RemoteException, SQLException;
	void setDate(int parameterIndex, java.sql.Date x) throws RemoteException, SQLException;
	void setTime(int parameterIndex, java.sql.Time x) throws RemoteException, SQLException;
	void setTimestamp(int parameterIndex, java.sql.Timestamp x) throws RemoteException, SQLException;
	void setAsciiStream(int parameterIndex, byte x[], int length) throws RemoteException, SQLException;
	void setUnicodeStream(int parameterIndex, byte x[], int length) throws RemoteException, SQLException;
	void setBinaryStream(int parameterIndex, byte x[], int length) throws RemoteException, SQLException;
	void clearParameters() throws RemoteException, SQLException;

	//----------------------------------------------------------------------
	// Advanced features:

	void setObject(int parameterIndex, Object x, int targetSqlType, int scale) throws RemoteException, SQLException;
	void setObject(int parameterIndex, Object x, int targetSqlType) throws RemoteException, SQLException;
	void setObject(int parameterIndex, Object x) throws RemoteException, SQLException;
	boolean execute() throws RemoteException, SQLException;
}
