//
//	RemoteResultSetMetaData.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.rmi.*;
import java.sql.SQLException;

interface RemoteResultSetMetaData extends Remote {
	int getColumnCount() throws RemoteException, SQLException;
	boolean isAutoIncrement(int column) throws RemoteException, SQLException;
	boolean isCaseSensitive(int column) throws RemoteException, SQLException;
	boolean isSearchable(int column) throws RemoteException, SQLException;
	boolean isCurrency(int column) throws RemoteException, SQLException;
	int isNullable(int column) throws RemoteException, SQLException;
	boolean isSigned(int column) throws RemoteException, SQLException;
	int getColumnDisplaySize(int column) throws RemoteException, SQLException;
	String getColumnLabel(int column) throws RemoteException, SQLException;
	String getColumnName(int column) throws RemoteException, SQLException;
	String getSchemaName(int column) throws RemoteException, SQLException;
	int getPrecision(int column) throws RemoteException, SQLException;
	int getScale(int column) throws RemoteException, SQLException;
	String getTableName(int column) throws RemoteException, SQLException;
	String getCatalogName(int column) throws RemoteException, SQLException;
	int getColumnType(int column) throws RemoteException, SQLException;
	String getColumnTypeName(int column) throws RemoteException, SQLException;
	boolean isReadOnly(int column) throws RemoteException, SQLException;
	boolean isWritable(int column) throws RemoteException, SQLException;
	boolean isDefinitelyWritable(int column) throws RemoteException, SQLException;
}
