//
//	RemoteStatement.java
//
//	version 1.0  98/12/12
//	author  Mitsumasa IWATSUKI
//

package org.iwatsuki.rjj;

import java.rmi.*;
import java.sql.*;

interface RemoteStatement extends Remote {
	RemoteResultSet executeQuery(String sql) throws RemoteException, SQLException;
	int executeUpdate(String sql) throws RemoteException, SQLException;
	void close() throws RemoteException, SQLException;

	//----------------------------------------------------------------------

	int getMaxFieldSize() throws RemoteException, SQLException;
	void setMaxFieldSize(int max) throws RemoteException, SQLException;
	int getMaxRows() throws RemoteException, SQLException;
	void setMaxRows(int max) throws RemoteException, SQLException;
	void setEscapeProcessing(boolean enable) throws RemoteException, SQLException;
	int getQueryTimeout() throws RemoteException, SQLException;
	void setQueryTimeout(int seconds) throws RemoteException, SQLException;
	void cancel() throws RemoteException, SQLException;
	SQLWarning getWarnings() throws RemoteException, SQLException;
	void clearWarnings() throws RemoteException, SQLException;
	void setCursorName(String name) throws RemoteException, SQLException;

	//----------------------- Multiple Results --------------------------

	boolean execute(String sql) throws RemoteException, SQLException;
	RemoteResultSet getResultSet() throws RemoteException, SQLException;
	int getUpdateCount() throws RemoteException, SQLException;
	boolean getMoreResults() throws RemoteException, SQLException;
}
